[P] Infinite Shelter - Task #3110

Fix a deprecation error in drupal rules module
2023-10-03 01:05 PM - victor piousbox

Status: New Start date: 2023-10-03
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Drupal Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Required technologies: Ubuntu (can use docker), php 8.1, drupal, git

¢ |n this project: https://www.drupal.org/project/rules

® maybe line 92 here:
https://git.drupalcode.org/project/rules/-/blob/8.x-3.0-alpha7/src/Engine/ActionExpressionContainer.php?ref type=tags

* maybe line 213 here:
https:/git.drupalcode.org/project/rules/-/blob/8.x-3.0-alpha7/src/Plugin/RulesExpression/RuleExpression.php?ref_type=tags#L2
13

| get deprecation messages when an email is sent. The email is still sent! This is not an error per se, this is a deprecation warning
being shown as an error.

It's best to actually fix the error, however! | don't need this error to be fixed, if you can just avoid showing the deprecation error.

There are two ways to solve this: either fix the problem with the rules module, or turn off deprecation reporting so that the message
isn't shown.

Here is the error message | get:

1%202023-10-03%20at%2012.53.16%20PM.jpg!
1%202023-10-03%20at%2012.54.40%20PM.jpg!

Here is my composer file and lock: [ATTACHED]:

¢ https://redmine.wasya.co/attachments/367
¢ https://redmine.wasya.co/attachments/368

| can also provide the database (mysql) dump.

| can also provide SMTP credentials, and other configuration necessary to start the project locally.

History

#1 - 2023-10-03 01:10 PM - victor piousbox
- File 2023-10-03 at 12.53.16 PM.jpg added
- File 2023-10-03 at 12.54.40 PM.jpg added
- File composer.json added
- File composer.lock added

- Description updated

#2 - 2023-10-03 01:10 PM - victor piousbox

- Description updated

#3 - 2023-10-03 01:16 PM - victor piousbox

- Description updated

#4 - 2023-10-03 06:59 PM - victor piousbox
- Category set to Drupal
